Skip to content
GET /unified/user-directory/licenses

Query Parameters

Refer Specifying query parameters in Truto APIs

organization_idstring

The unique identifier for the organization

4 supported3 required
Cisco Meraki
required
ClickUp
required
GitHub
required
Webex
supported
productstring

Select the product for which you want to retrieve the licenses.

Possible values:
azure_active_directoryonedrive
1 supported1 required
Microsoft 365
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Licenses

idstring
required·

Unique identifier for the license.

25 supported
Adobe
supported
Atlassian
supported
Azure Active Directory
supported
Calendly
supported
Cisco Meraki
supported
ClickUp
supported
DocuSign
supported
Dropbox - Business
supported
Freshdesk
supported
GitHub
supported
GitLab
supported
Jira
supported
Jira Service Management
supported
Microsoft 365
supported
Monday.com
supported
OneDrive
supported
Opsgenie
supported
PagerDuty
supported
Qlik Sense
supported
Salesforce
supported
Salesloft
supported
Snowflake
supported
Veeva Vault
supported
Webex
supported
Zoom
supported
assigned_quantitynumber

Number of licenses that have been assigned to users.

18 supported
Adobe
supported
Azure Active Directory
supported
ClickUp
supported
Dropbox - Business
supported
Freshdesk
supported
GitHub
supported
Jira
supported
Jira Service Management
supported
Microsoft 365
supported
Monday.com
supported
OneDrive
supported
Opsgenie
supported
PagerDuty
supported
Qlik Sense
supported
Salesforce
supported
Veeva Vault
supported
Webex
supported
Zoom
supported
available_quantitynumber

Total number of licenses that can be assigned to users.

16 supported
Adobe
supported
Azure Active Directory
supported
Cisco Meraki
supported
ClickUp
supported
DocuSign
supported
Dropbox - Business
supported
GitHub
supported
GitLab
supported
Microsoft 365
supported
OneDrive
supported
Opsgenie
supported
PagerDuty
supported
Qlik Sense
supported
Salesforce
supported
Salesloft
supported
Veeva Vault
supported
created_atstring · date-time

Date and time when the license was created.

5 supported
Calendly
supported
Cisco Meraki
supported
GitLab
supported
Salesforce
supported
Snowflake
supported
currencystring

Currency for the license.

1 supported
DocuSign
supported
descriptionstring

Description for the license.

1 supported
PagerDuty
supported
is_paidboolean

Whether the license is paid or not.

20 supported
Adobe
supported
Atlassian
supported
Calendly
supported
ClickUp
supported
DocuSign
supported
Dropbox - Business
supported
Freshdesk
supported
GitHub
supported
GitLab
supported
Jira
supported
Jira Service Management
supported
Monday.com
supported
Opsgenie
supported
PagerDuty
supported
Qlik Sense
supported
Salesforce
supported
Salesloft
supported
Snowflake
supported
Veeva Vault
supported
Zoom
supported
namestring

Name of the license.

23 supported
Adobe
supported
Atlassian
supported
Azure Active Directory
supported
Calendly
supported
ClickUp
supported
DocuSign
supported
Dropbox - Business
supported
Freshdesk
supported
GitHub
supported
GitLab
supported
Jira
supported
Jira Service Management
supported
Microsoft 365
supported
Monday.com
supported
OneDrive
supported
Opsgenie
supported
PagerDuty
supported
Salesforce
supported
Salesloft
supported
Snowflake
supported
Veeva Vault
supported
Webex
supported
Zoom
supported
productsobject[]

The products that are part of the license.

4 supported
Atlassian
supported
Azure Active Directory
supported
Microsoft 365
supported
OneDrive
supported
3 properties
idstring

Unique identifier for the product

namestring

The name of product

statusstring

Status for the product within the license. Usually denotes the provisioning status.

Possible values:
activeinactiveerroredneeds_inputneeds_confirmationpending
remote_dataRecord<string, any>

Raw data returned from the remote API call.

rolesobject[]

Valid Roles for the license.

1 supported
PagerDuty
supported
2 properties
idstring

Unique identifier for the role.

namestring

Name of the role.

statusstring

Status for the license

Possible values:
activeinactive
9 supported
Atlassian
supported
Azure Active Directory
supported
Cisco Meraki
supported
Dropbox - Business
supported
GitLab
supported
Microsoft 365
supported
OneDrive
supported
Qlik Sense
supported
Salesforce
supported
unit_amountnumber

Unit amount for the license.

1 supported
DocuSign
supported
updated_atstring · date-time

Date and time when the license was last updated.

3 supported
Calendly
supported
Qlik Sense
supported
Salesforce
supported
curl -X GET 'https://api.truto.one/unified/user-directory/licenses?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/licenses?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/user-directory/licenses"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'user-directory',
  'licenses',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "user-directory",
        "licenses",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())